SimpleRefHolder< T > Class Template Reference

manages a reference count of a pointer to a class that takes a simple "deref()" call with no arguments More...

`#include <ReferenceHolder.h>`

Collaboration diagram for SimpleRefHolder< T >:
[legend]

## Public Member Functions

DLLLOCAL | SimpleRefHolder (SimpleRefHolder &&old)
| move constructor More...

## Detailed Description

### template<typename T = class SimpleQoreNode>
class SimpleRefHolder< T >

manages a reference count of a pointer to a class that takes a simple "deref()" call with no arguments

SimpleRefHolder<QoreStringNode> str(new QoreStringNode(QCS_UTF8));
// QoreString::concatUnicode() can raise a Qore-language exception if the code is invalid
str->concatUnicode(code, xsink);
return *xsink ? str.release() : 0;

## Constructor & Destructor Documentation

## SimpleRefHolder()

template<typename T = class SimpleQoreNode>

DLLLOCAL SimpleRefHolder< T >::SimpleRefHolder | ( | SimpleRefHolder< T > && | old | ) |

inline

move constructor

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/ReferenceHolder.h

SimpleRefHolder
manages a reference count of a pointer to a class that takes a simple "deref()" call with no argument...
Definition: ReferenceHolder.h:118
QCS_UTF8
DLLEXPORT const QoreEncoding * QCS_UTF8
UTF-8 multi-byte encoding (only UTF-8 and UTF-16 are multi-byte encodings)
Definition: QoreEncoding.h:250
QoreString::concatUnicode
DLLEXPORT int concatUnicode(unsigned code, ExceptionSink *xsink)
append a character sequence from a unicode code point (returns 0 for OK, -1 for exception)
QoreStringNode
Qore's string value type, reference counted, dynamically-allocated only.
Definition: QoreStringNode.h:50